Transcend Docs
API referenceLLM classifier

Classify unstructured text using Named Entity Recognition

POST
/classify/unstructured-text

Classify a given text array input using the LLM classifier

Authorization

Transcend_API_Key
headerAuthorizationBearer <token>

authorization: Bearer <>

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json

Request Body

application/json
  1. body
inputList*array<string>

List of inputs to classify

Items1 <= items
labels*array<string>

The list of labels to classify against

Items1 <= items

Response Body

Input was classified successfully. Responds with the classification result from the NER classifier for each input.

application/json
  1. response
guesses*array<array<>>

The list of classifications for each input

Example Request
curl -X POST 'https://multi-tenant.sombra.transcend.io/classify/unstructured-text' \  -H 'authorization: string' \  -H 'content-type: string' \  -H 'Content-Type: application/json' \  -d '{  "inputList": [    "\"userId\":\"05179687877722385190\"",    "Medical ID: 15179687877722385199",    "transcend user ID"  ],  "labels": [    "Personal Identifier",    "Medical",    "Generic Personal Information"  ]}'
Example Response
{  "guesses": [    [      {        "type": "Personal Identifier",        "classifierVersion": 30302,        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",        "value": "05179687877722385190",        "snippet": "\"userId\":\"05179687877722385190\""      }    ],    [      {        "type": "Medical",        "classifierVersion": 30302,        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",        "value": "15179687877722385199",        "snippet": "Medical ID: 15179687877722385199"      },      {        "type": "Personal Identifier - User ID",        "classifierVersion": 30302,        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",        "value": "15179687877722385199",        "snippet": "Medical ID: 15179687877722385199"      },      {        "type": "Not Personal Data",        "classifierVersion": 30302,        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",        "value": "15179687877722385199",        "snippet": "Medical ID: 15179687877722385199"      }    ]  ]}